Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512151 - Openstack Instance provisioning fails with Invalid flavorRef provided
Summary: Openstack Instance provisioning fails with Invalid flavorRef provided
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: cfme-future
Assignee: Marek Aufart
QA Contact: Ola Pavlenko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-11 00:32 UTC by Kedar Kulkarni
Modified: 2018-02-11 16:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-04 17:46:23 UTC
Category: Bug
Cloudforms Team: Openstack


Attachments (Terms of Use)
Screenshot (deleted)
2017-11-11 00:32 UTC, Kedar Kulkarni
no flags Details

Description Kedar Kulkarni 2017-11-11 00:32:14 UTC
Created attachment 1350753 [details]
Screenshot

Description of problem:
Trying to provision Instance on the Openstack Errors out with "Invalid flavorRef provided"

Version-Release number of selected component (if applicable):
5.9.0.8

How reproducible:
Believe 100%

Steps to Reproduce:
1.Add Openstack cloud provider 
2.Provision instance
3.Watch fate of Request

Actual results:
Fails with 
:body          => "{\"badRequest\": {\"message\": \"Invalid flavorRef provided.\", \"code\": 400}}"


Expected results:
Should not fail

Additional info:
See screenshot

Comment 4 Marek Aufart 2017-11-21 16:02:11 UTC
Hi, OSP7 is too old and it is not supported by CF 4.6/5.9.

Could you test it on supported OSP version (>=9)?

Comment 5 Kedar Kulkarni 2017-12-04 16:23:24 UTC
I was able to provision instance on RHOS 11. Please feel free to close this BZ.

Comment 6 Marek Aufart 2017-12-04 17:46:23 UTC
Okay, thanks for info! Closing.


Note You need to log in before you can comment on or make changes to this bug.